Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.service
Class ResourceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.security.service.SecurityServiceException
                      weblogic.security.service.ResourceNotFoundException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public class ResourceNotFoundException
extends SecurityServiceException

The `ResourceNotFoundException` exception is thrown if a security provider looks for a resource that should exist, but is unable to find that resource.

This exception wrappers an exception with the same name from the `weblogic.security.spi` package.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ResourceNotFoundException()` Constructs a `ResourceNotFoundException` with no arguments.
`ResourceNotFoundException(String msg)` Constructs a `ResourceNotFoundException` with the specified detail message.
`ResourceNotFoundException(String msg, Throwable nested)` Constructs a `ResourceNotFoundException` with a detail message and a nested exception.
`ResourceNotFoundException(Throwable nested)` Constructs a `ResourceNotFoundException` with a nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNotFoundException

    public ResourceNotFoundException()

  Constructs a `ResourceNotFoundException` with no arguments.

### ResourceNotFoundException

    public ResourceNotFoundException(String msg)

  Constructs a `ResourceNotFoundException` with the specified detail message. A detail message is a String that describes this particular exception.

### ResourceNotFoundException

    public ResourceNotFoundException(String msg,
                                     Throwable nested)

  Constructs a `ResourceNotFoundException` with a detail message and a nested exception.

### ResourceNotFoundException

    public ResourceNotFoundException(Throwable nested)

  Constructs a `ResourceNotFoundException` with a nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD